%global momorel 2
%global qtver 4.4.3
%global kdever 4.1.73
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr
%global content_id 50971

Summary: A KDE version of ssh-askpass with KWallet support
Name: ksshaskpass
Version: 0.5.1
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.kde-apps.org/content/show.php?content=50971
Group: Applications/Internet
Source0: http://www.kde-apps.org/CONTENT/content-files/%{content_id}-%{name}-%{version}.tar.gz
NoSource: 0
Source1: hi16-app-%{name}.png
Source2: hi32-app-%{name}.png
Patch0: %{name}-0.5-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: openssh-clients
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake
BuildPreReq: lcms-devel
BuildPreReq: libart_lgpl-devel
BuildPreReq: libidn-devel
BuildPreReq: libutempter-devel

%description
A KDE version of ssh-askpass with KWallet support.

%prep
%setup -q
%patch0 -p1 -b .desktop

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32}/apps
install -m 644 %{SOURCE1} %{buildroot}%{_kde4_iconsdir}/hicolor/16x16/apps/ksshaskpass.png
install -m 644 %{SOURCE2} %{buildroot}%{_kde4_iconsdir}/hicolor/32x32/apps/ksshaskpass.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog INSTALL
%{_kde4_bindir}/ksshaskpass
%{_kde4_datadir}/applications/kde4/ksshaskpass.desktop
%{_kde4_iconsdir}/hicolor/*/apps/ksshaskpass.png
%{_mandir}/man1/ksshaskpass.1*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.1-2m)
- rebuild against rpm-4.6

* Sun Nov 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.1-1m)
- update to 0.5.1

* Mon Nov 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-2m)
- remove ksshaskpass.desktop
- use macros.kde4
- License: GPLv2

* Mon Nov 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.0-1m)
- update to 0.5.0

* Thu Jun 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.1-2m)
- use Qt threaded (default) libraries
- fix permission of %%{_sysconfdir}/kde/env/ksshaskpass.sh
- re-install icons and desktop file

* Fri Jun 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1
- change source URI

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3-5m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3-4m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3-2m)
- %%NoSource -> NoSource

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3-1m)
- initial package for Momonga Linux
